package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.StWaterLake;
import com.lightinit.hsdatashow.entity.StWaterLakeExample;
import com.lightinit.hsdatashow.model.topic.water.HshxushuiReturnModel;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface StWaterLakeMapper {
    long countByExample(StWaterLakeExample example);

    int deleteByExample(StWaterLakeExample example);

    int deleteByPrimaryKey(Long id);

    int insert(StWaterLake record);

    int insertSelective(StWaterLake record);

    List<StWaterLake> selectByExample(StWaterLakeExample example);

    StWaterLake selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") StWaterLake record, @Param("example") StWaterLakeExample example);

    int updateByExample(@Param("record") StWaterLake record, @Param("example") StWaterLakeExample example);

    int updateByPrimaryKeySelective(StWaterLake record);

    int updateByPrimaryKey(StWaterLake record);

    StWaterLake getHengshuiHu();

    HshxushuiReturnModel getHengshuiHuShuiwei();
}